[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# Numb2Dec

Converts a string representation of a number to its numerical value, given a certain base.

## Declaration

Source position: strutils.pp line 181

`function Numb2Dec(`
`S: string;`
`Base: Byte`
`):LongInt;`

## Arguments

`S` |  | String to convert
`Base` |  | Base to use when converting.

## Function result

Numerical value of the string.

## Description

Numb2Dec converts the number in string S to a decimal value. It assumes the number is represented using Base as the base. No checking is performed to see whether S contains a valid number using base Base.

## Errors

None.

## See also

Hex2Dec |  | Converts a hexadecimal string to a decimal value
Numb2USA |  | Insert thousand separators.

Documentation generated on: Feb 26 2014